package com.clx.performance.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @ClassName OwnerLoanAccountRunWaterRecordDTO
 * @Description
 * @Author kavin
 * @Date 2024/1/23 14:05
 * @Version 1.0
 */
@Getter
@Setter
public class OwnerLoanAccountRunWaterRecordDTO {

    @ExcelProperty("货主编码")
    private String ownerUserNo;

    @ExcelProperty("货主名称")
    private String ownerUserName;

    @ExcelProperty("联系电话")
    private String mobile;

    @ExcelProperty("流水号")
    private Long runningWaterNo;

    @ExcelProperty("借款单号")
    private Long loanNo;

    @ExcelProperty("运单编号")
    private String childNo;


    private Integer runningWaterType;

    @ExcelProperty("流水类型")
    private String runningWaterTypeMsg;

    @ExcelProperty("金额")
    private BigDecimal alterationBalance;


    @ExcelProperty("账户余额")
    private BigDecimal accountBalance;

    @ExcelProperty("操作人")
    private String createBy;

    @ExcelProperty("操作时间")
    private LocalDateTime createTime;


}
